using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UpgradeFirewall : UpgradeButton {

	protected override int CostForLevel() {
		return (int)(100 * Mathf.Pow(1.5f, (gm.firewallEffectiveness)));
	}

	override public void Clicked() {
		if(gm.score < CostForLevel())
			return;

		gm.score -= CostForLevel();

		gm.firewallEffectiveness += 0.50f;
	}

	override protected string UpgradeName() {
		return "Increase firewall damage "+ ((gm.firewallEffectiveness+0.50f)*100f).ToString("f0") +"%.";
	}

}
